{
  "name": "bandolier-template",
  "version": "0.6.0",
  "private": true,
  "type": "module",
  "bin": {
    "bando": "./test.js"
  },
  "scripts": {
    "dev": "run-p -l -n api queue watch tracker rendered-watch",
    "DANGER_ADMIN": "cross-env DANGER_ADMIN=1 run-p -l -n api queue tracker watch rendered-watch docs-watch",
    "prod": "run-p api queue",
    "tracker": "node ./bando.js tracker",
    "build": "node ./bando.js build --config build.prod.json",
    "watch": "node ./bando.js build --watch",
    "start": "sirv public --no-clear --host 127.0.0.1 --cors",
    "api": "nodemon ./bando.js api",
    "queue": "nodemon ./bando.js queue",
    "test": "npx ava tests/**/*.js",
    "docs": "node bando.js codedoc --output public/docs/api 'lib/*.js' 'client/*.js' 'commands/*.js' 'api/*.js' 'api/**/*.js' 'queues/*.js' 'socket/*.js'",
    "docs-watch": "nodemon bando.js codedoc --output public/docs/api 'lib/*.js' 'client/*.js' 'commands/*.js' 'api/*.js' 'api/**/*.js' 'queues/*.js' 'socket/*.js'",
    "modules": "./bando.js load",
    "modules-watch": "nodemon --watch ../ljsthw-private/db/modules/ --ext .md,.js,.sh ./bando.js load",
    "rendered-watch": "nodemon --ignore \"rendered/build/**/*\" --watch ./rendered --watch static -e md,svelte,js,css ./bando.js rendered",
    "rendered": "./bando.js rendered",
    "knex": "knex --knexfile=knexfile.cjs",
    "coverage:test": "cross-env NODE_V8_COVERAGE=.coverage DANGER_ADMIN=1 DEBUG=1 npx ava -s tests/**/*.js",
    "coverage:report": "node ./bando.js coverage .coverage",
    "coverage:DANGER_ADMIN": "cross-env NODE_V8_COVERAGE=.coverage DANGER_ADMIN=1 DEBUG=1 npm run dev",
    "build:visualize": "run-p build:visualize:client build:visualize:admin",
    "build:visualize:client": "esbuild-visualizer --filename debug/client_build.html --metadata debug/client_build.json",
    "build:visualize:admin": "esbuild-visualizer --filename debug/admin_build.html --metadata debug/admin_build.json"
  },
  "devDependencies": {
    "@jackfranklin/rollup-plugin-markdown": "^0.3.0",
    "@rollup/plugin-alias": "^3.1.9",
    "@rollup/plugin-commonjs": "^17.1.0",
    "@rollup/plugin-node-resolve": "^11.2.1",
    "@rollup/plugin-replace": "^2.4.2",
    "acorn": "^8.8.1",
    "commander": "^9.4.1",
    "eslint": "^7.32.0",
    "eslint-plugin-svelte3": "^3.4.1",
    "html-minifier-terser": "^5.1.1",
    "istanbul-lib-coverage": "^3.2.0",
    "istanbul-lib-report": "^3.0.0",
    "istanbul-reports": "^3.1.5",
    "jsdoc": "^4.0.0",
    "lodash": "^4.17.21",
    "neat-csv": "^7.0.0",
    "normalize-path": "^3.0.0",
    "npm-run-all": "^4.1.5",
    "readline-sync": "^1.4.10",
    "rollup": "2.42.2",
    "rollup-plugin-copy": "^3.4.0",
    "rollup-plugin-css-chunks": "^2.0.3",
    "rollup-plugin-css-only": "^3.1.0",
    "rollup-plugin-delete": "^2.0.0",
    "rollup-plugin-glob": "1.0.2",
    "rollup-plugin-multi-input": "^1.3.1",
    "rollup-plugin-node-externals": "^2.2.0",
    "rollup-plugin-svelte": "^7.1.0",
    "rollup-plugin-terser": "^7.0.2",
    "stylelint": "^13.13.1",
    "stylelint-config-standard": "^22.0.0",
    "svelte": "^3.55.0",
    "terser": "^5.16.1",
    "v8-to-istanbul": "^8.1.1",
    "webtorrent": "^1.9.6",
    "wrtc": "^0.4.7"
  },
  "dependencies": {
    "@cloudfour/simple-svg-placeholder": "^1.1.0",
    "@jamcart/7ty": "^0.1.6",
    "@mapbox/node-pre-gyp": "^1.0.10",
    "@paypal/checkout-server-sdk": "^1.0.3",
    "@rollup/plugin-json": "^4.1.0",
    "@vscode/sqlite3": "^5.1.2-vscode",
    "ava": "^4.3.3",
    "axios": "^0.21.4",
    "bcryptjs": "^2.4.3",
    "bittorrent-tracker": "^9.19.0",
    "bull": "^3.29.3",
    "chalk": "^5.2.0",
    "ci": "^2.2.0",
    "connect-redis": "^5.2.0",
    "cookie-parser": "^1.4.6",
    "cors": "^2.8.5",
    "cross-env": "^7.0.3",
    "date-fns": "^2.29.3",
    "discord.js": "^14.7.1",
    "esbuild": "^0.16.7",
    "esbuild-svelte": "^0.7.3",
    "esbuild-visualizer": "^0.4.0",
    "express": "^4.18.2",
    "express-session": "^1.17.3",
    "faker": "5.5.3",
    "fast-glob": "^3.2.12",
    "feed": "^4.2.2",
    "fluent-ffmpeg": "^2.1.2",
    "http-terminator": "^3.2.0",
    "knex": "1.0.1",
    "knex-paginate": "^2.3.0",
    "memorystore": "^1.6.7",
    "morgan": "^1.10.0",
    "node-fetch": "^2.6.7",
    "node-pre-gyp": "^0.17.0",
    "nodemailer": "^6.8.0",
    "nodemon": "^2.0.20",
    "npm-watch": "^0.9.0",
    "passport": "^0.6.0",
    "passport-local": "^1.0.0",
    "pino": "^6.14.0",
    "pino-pretty": "^4.8.0",
    "playwright": "^1.28.1",
    "pm2": "^5.2.2",
    "random": "3.0.6",
    "randomcolor": "^0.6.2",
    "redis": "^3.1.2",
    "remarkable": "^2.0.1",
    "sharp": "^0.30.7",
    "sirv-cli": "^1.0.14",
    "slugify": "^1.6.5",
    "snarkdown": "^2.0.0",
    "socket.io": "^4.5.4",
    "socket.io-client": "^4.5.4",
    "sqlite3": "^5.1.4",
    "stripe": "^10.17.0",
    "svelte-spa-router": "^3.3.0",
    "svgson": "^5.2.1",
    "ua-parser-js": "^1.0.32",
    "uniqueid": "^1.0.0",
    "uuid": "^8.3.2",
    "Validator": "^1.1.4"
  },
  "optionalDependencies": {
    "utf-8-validate": "^5.0.10"
  }
}
